Public Class RestartWndV

   Private WithEvents m_RestartWndVM As RestartWndVM

   Sub New(Owner As Window, RestartWndVM As RestartWndVM)
      'MyBase.New(Owner)
      Me.Owner = Owner
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = RestartWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_RestartWndVM = RestartWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_RestartWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
